Subject: permaculture in Africa

From: stuart james snowdon <[email-masked]>
Date: Fri, 18 Apr 1997 14:19:57 BST

Hi,
  I am working on a university project on the role of permaculture in 
Sub Saharan Africa. I was wondering if anyone has any information, or 
names and addresses of people I might contact,relevant to this topic. 
Even if you would just like to talk about the topic, please contact 
me.
                    Thanks
                Stuart Snowdon